#ifndef __BOARD_H__
#define __BOARD_H__

#ifndef __ASSEMBLER__

/* Utility functions. */

void udelay(unsigned long);
unsigned long get_memory_size();

/* Common timer definitions. */

#define TIMER_HZ		CONFIG_SYS_HZ
#define TIMER_CHAN		0
#define TIMER_FDATA		0xffff				/* timer full data value, limited to 16 bits */

/* Select the CPU definitions according to the configuration. */

#ifdef CONFIG_CPU_JZ4730

#include "jz4730.h"
#include "jz4730_compat.h"
#define READ_TIMER		__ost_get_count(TIMER_CHAN)	/* macro to read the 32 bit timer */
#define TIMER_CHAN_IRQ		IRQ_OST0

#else /* assume jz4740 */

#include "jz4740.h"
#define READ_TIMER		REG_TCU_TCNT(TIMER_CHAN)	/* macro to read the 16 bit timer */
#define TIMER_CHAN_IRQ		IRQ_TCU0

#endif /* CONFIG_CPU_JZ4730 */

#endif /* __ASSEMBLER__ */



/* Select the board definitions according to the configuration. */

#ifdef CONFIG_CPU_JZ4730_MINIPC

#include "minipc.h"
#include "minipc_gpio.h"

#else /* assume NanoNote */

#include "nanonote.h"
#include "nanonote_gpio.h"

#endif /* CONFIG_CPU_JZ4730_MINIPC */

#endif /* __BOARD_H__ */
