/*
 * Ben NanoNote screen details
 *
 * Copyright (C) Xiangfu Liu <xiangfu@sharism.cc>
 * Copyright (C) 2015, 2016, 2017 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#include "nanonote_gpm940b0.h"
#include "jzlcd.h"
#include "nanonote.h"

struct jzfb_info jzfb = {
	.cfg=MODE_8BIT_SERIAL_TFT | PCLK_N | HSYNC_N | VSYNC_N,
	.w=320, .h=240,		/* dimensions */
	.bpp=32,		/* bits per pixel */
	.fclk=70,		/* frame clock rate */
	.hsw=1, .vsw=1,		/* sync widths */
	.elw=273, .blw=140,	/* line limits */
	.efw=1, .bfw=20		/* frame limits */
};

vidinfo_t panel_info = {
	.jz_fb=&jzfb,	// this will need correcting for user mode usage
	.lcd=0,		// base address for registers
};
