/*
 * Example screen-updating task.
 *
 * Copyright (C) 2015, 2016, 2017 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "board.h"
#include "lcd.h"
#include "jzlcd.h"
#include "tasks.h"

extern vidinfo_t panel_info;

void next_pixel(uint16_t *x, uint16_t *y)
{
	(*x)++;
	if (*x >= panel_info.jz_fb->w) {
		*x = 0;
		(*y)++;
		if (*y >= panel_info.jz_fb->h)
			*y = 0;
	}
}

/* Tasks. */

void plot_pattern(uint16_t pixel_type, uint16_t x, uint16_t y)
{
	int i;

	while (1) {
		test_pixel(x, y, pixel_type);
		next_pixel(&x, &y);
		for (i = 0; i < 10000; i++);
	}
}

void start_plot_pattern(uint8_t task)
{
	uint32_t args[] = {task, 0, (task * (panel_info.jz_fb->h / 4)) % panel_info.jz_fb->h};

	start_task(task, (void (*)()) plot_pattern, args, 3);
}
