/*
 * Task manifest.
 *
 * Copyright (C) 2016, 2017 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "manifest.h"
#include "example.h"
#include "keyscan.h"

/* A list of task-starting functions accepting their task identifier. */

void (*initial_task_array[])(uint8_t) = {
	start_plot_pattern,
	start_plot_pattern,
	start_keyscan,

	/*
	Employ a zero terminator, and make sure that max_tasks is not exceeded
	above.
	*/

	0
	};

void (**initial_tasks)(uint8_t) = initial_task_array;
